import { ElementRef, OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import * as i0 from "@angular/core";
export declare class StiNameEditorComponent implements OnInit {
    model: StiModelService;
    property: StiEditorProperty;
    nameEditor: ElementRef;
    constructor(model: StiModelService);
    hasName: boolean;
    required: boolean;
    get name(): string;
    ngOnInit(): void;
    onInput(name: string): void;
    onFocus(): void;
    onBlur(): void;
    isValid(name: string): boolean;
    isLetterOrDigit(char: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiNameEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiNameEditorComponent, "sti-name-editor", never, { "property": { "alias": "property"; "required": false; }; }, {}, never, never, false, never>;
}
